#version 450 core

#pragma include ./glow_shared.glsl
#pragma include ../misc/glow.glsl
#pragma include ../misc/global.glsl

const GlowArgs GLOW_ARGS = {
    /* step0      */ 0.100,
    /* step1      */ 0.900,
    /* pulseSize0 */ 0.050,
    /* pulseSize1 */ 0.100,
    /* pulseTime  */ 2.000,
};

in FragmentData fragmentData;

out vec4 outColor;

void main() {
    float alpha = glow(GLOW_ARGS, fragmentData.texCoords, uGlobal.time);

    outColor = vec4(fragmentData.color, GLOW_ALPHA * alpha);
}
