use serde::{Deserialize, Serialize};
use specs::{Component, NullStorage};

/// Objects that ships can not pass through
#[derive(Clone, Debug, Default, Serialize, Deserialize)]
pub struct Obstacle {}

/* Obstacle */

impl Component for Obstacle {
    type Storage = NullStorage<Self>;
}
