#version 450 core

#pragma include ./shared.glsl
#pragma include ../misc/camera.glsl

in vec3 inPosition;

layout (location = 0) uniform mat4 uModel;

out FragmentData fragmentData;

void main() {
    fragmentData.texCoords = 2.0 * inPosition.xy;
    gl_Position = uCamera.projection * uCamera.view * uModel * vec4(2.0 * inPosition, 1.0);
}
